Class | Fog::Compute::Server
In: | lib/fog/compute/models/server.rb
Parent: | Fog::Model

### Methods

private_key= scp scp_download scp_upload ssh ssh_port sshable?

### Public Instance methods

private_key=(key_data)
scp(local_path, remote_path, upload_options = {})
scp_download(remote_path, local_path, download_options = {})
scp_upload(local_path, remote_path, upload_options = {})

Alias for scp

ssh(commands, options={}, &blk)
ssh_port()
sshable?()

[Validate]